#version 330 core

uniform mat4 ModelViewMatrix;

layout (location = 0) in vec3 POSITION;
layout (location = 1) in vec3 NORMAL;
layout (location = 2) in vec3 COLOR;
layout (location = 3) in vec3 TANGENT;

out float radius;

void main()
{
	radius = TANGENT.x;
	gl_Position = vec4(POSITION, 1.0);
}
